Name:           shortrpm
Version:        1.1
Release:        1%{?dist}.1
Summary:        Short-circuit binary RPM package build

Group:          Development/Tools
License:        GPLv2+
URL:            http://v3.sk/~lkundrak/shortrpm
Source0:        http://v3.sk/~lkundrak/shortrpm/shortrpm-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:       rpm-build

%description
shortrpm tricks rpmbuild(1) into thinking certain scriptlets in SPEC file
are empty, effectively skipping their run and proceeding to build the binary
package from files from previous %%install scriptlet run in BuildRoot. The
trickery only takes place if both -bb and --short-circuit options are
specified.


%prep
%setup -q


%build
make %{?_smp_mflags} CFLAGS="%{optflags}" PREFIX="%{_prefix}"


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT PREFIX="%{_prefix}"
install -d $RPM_BUILD_ROOT%{_sysconfdir}/profile.d
install -pm 0644 shortrpm.sh shortrpm.csh \
        $RPM_BUILD_ROOT%{_sysconfdir}/profile.d


%check
make test ||:


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_bindir}/shortrpm
%{_libexecdir}/shortrpm
%{_mandir}/man1/shortrpm.1.gz
%config(noreplace) %{_sysconfdir}/profile.d/*
%doc COPYING


%changelog
* Wed Apr 29 2009 Lubomir Rintel <lkundrak@v3.sk> - 1.1-1.1
- Disable test suite on EL-5, <() doesn't work on builders

* Wed Apr 29 2009 Lubomir Rintel <lkundrak@v3.sk> - 1.1-1
- New upstream release
- Fix mis-compilation with newer glibc

* Mon Apr 27 2009 Lubomir Rintel <lkundrak@v3.sk> - 1.0-1
- Initial packaging
